VMTKTETRINGENERATOR(1)

NAME
vmtktetringenerator - vmtk script vmtktetringenerator

DESCRIPTION
Automatic piping vmtktetringenerator Parsing options vmtktetringenerator

vmtktetringenerator : generate input files for the newtetr CFD solver

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Mesh (vtkUnstructuredGrid,1): the input mesh

-ifile MeshInputFileName (str,1): filename for the default Mesh

    reader

-ofile OutputFileName (str,1): output file name

-timestepsonly TimeStepsOnly (bool,1); default=0: only generate the

    $time section of the tetr.in file

-entityidsarray CellEntityIdsArrayName (str,1);

    default=CellEntityIds: name of the array where entity ids relative to cells are stored

-normalizationid NormalizationEntityId (int,1); default=-1: id of

    the entity relative to which the mesh has to be normalized

-normalizationradius NormalizationRadius (float,1) >= 0.0;

    default=1.0: explicit value of the radius relative to which the mesh has to be normalized (to be used when -normalizationid is not used)

-inletids InletEntityIds (int,-1); default=[]: id of inlet entities

-outletid OutletEntityId (int,1); default=-1: id of the outlet

    entity

-wallid WallEntityId (int,1); default=-1: id of the wall entity

-historyid HistoryEntityId (int,1); default=-1: id of the entity

    whose history has to be stored

-reverseinlets ReverseInlets (bool,-1); default=[]: toggle reversal

    of the nth inlet entity normal

-starttime StartTime (float,1); default=0.0: simulation normalized

    start time

-endtime EndTime (float,1); default=1.0: simulation normalized end

    time

-timesteps NumberOfTimeSteps (int,1) >= 0; default=0: number of

    time steps between start and end time

-dumps NumberOfDumps (int,1) >= 0; default=0: number of solution

    dumps between start and end time

-dumpflag DumpFlag (str,1); default=11000: flag identifying

    solution dump (e.g. 11000 = tetr.pres and tetr.vel)

-wnodesection WriteWNodeSection (bool,1); default=1: append $wnode

    section to .in file for subsequent wall shear stress computation

-welemsection WriteWElemSection (bool,1); default=1: append $welem

    section to .in file for subsequent wall shear stress computation

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self